Bug 13780 - Split up autobuild job to avoid CI shared runner flakiness
Split up autobuild job to avoid CI shared runner flakiness
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-08 04:07 UTC by Tim Beale
Modified: 2019-03-12 09:30 UTC (History)
2 users (show)

See Also:


Attachments
Fix backport for v4.10 (2.97 KB, patch)
2019-02-08 04:11 UTC, Tim Beale
abartlet: review+
Details
Additional patch as suggested by Tim for -py2 (1.44 KB, patch)
2019-03-11 02:00 UTC, Andrew Bartlett
timbeale: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Beale 2019-02-08 04:07:46 UTC
Around the time v4.10 branched, we were starting to hit some flakiness with CI. It turns out the samba_ad_dc_2 job was starting to hit resource limits and could end up using swap. Depending on when the swap kicked in, it could mean the difference between a CI pass and a CI fail. Often the problem would manifest itself as a dns_hub error starting up the vampire_2000_dc. 

We have now split up the autobuild jobs to avoid this problem, but it should be backported to 4.10 to improve CI reliability.
Comment 1 Tim Beale 2019-02-08 04:11:18 UTC
Created attachment 14838 [details]
Fix backport for v4.10

CI link: https://gitlab.com/catalyst-samba/samba/pipelines/46644585
Comment 2 Tim Beale 2019-02-12 23:09:53 UTC
Actually, as we need to still support python2 on 4.10, I should probably add a separate py2 target for the new backup autobuild job, just so we don't degrade python2 support for the backup/restore. I'll update the patch.
Comment 3 Andrew Bartlett 2019-03-11 02:00:03 UTC
Created attachment 14915 [details]
Additional patch as suggested by Tim for -py2
Comment 4 Andrew Bartlett 2019-03-11 02:14:42 UTC
G'Day Karolin,

Please take both patches for the next available 4.10.x

CI: https://gitlab.com/samba-team/devel/samba/pipelines/51162805
Comment 5 Karolin Seeger 2019-03-11 07:50:41 UTC
(In reply to Andrew Bartlett from comment #4)
Pushed both patches to autobuild-v4-10-test.
Comment 6 Karolin Seeger 2019-03-12 09:30:06 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-10-test.
Closing out bug report.

Thanks!